Get a purchase order

Prev Next
Get
/api/v1/invoices/purchaseorders

Get an existing purchase order.

Description

This endpoint retrieves specific purchase order.

Use Case

The user wants to retrieve a specific purchase order by specifying its reference. To obtain the reference of a particular purchase order, the user can first use the POST filter endpoint. Subsequently the reference can be used to retrieve the specifics of this purchase order.

Request fields

The request contains the following fields:

FieldDescription
referenceThe unique identifier for this purchase order within Bloxs. This identifier is generated by Bloxs.
externalIdentifierThe unique identifier for this specific purchase order, not created by Bloxs.

Response fields

In addition to the fields in the request, the 200 response contains the fields in the table below. 

FieldDescription
ownerReference
The reference of the relation that is the buying party in this purchase order. This refers to the reference created by Bloxs, not to be confused with the externalIdentifier.
relationReferenceThe reference of the relation that is the selling party in this purchase order (supplier). This reference is created by Bloxs.
proposalReferenceThe reference of the proposal which (usually) preceded the purchase order. This reference is created by Bloxs.
proposalTotalAmountExclThe total amount excluding VAT in the proposal that preceded the purchase order.
subjectThe subject of the purchase order.
workflowState

1 = Draft

Concept status. Edits are still possible.

2 = OnHold

This means that an purchase order is on hold before it can be approved, for example due to a dispute with the supplier.

3 = Cancelled

This purchase order was, for example, not needed or created in error.

4 = ApprovalWorkflow

Submitted for approval. For example, the purchase order is pending approval by person X. This may involve a simple or extended approval chain of multiple people.

7 = Final

This is the most relevant status for integration partners. Purchase orders are then fully processed (and potentially sent).

9 = Disapproved

The purchase order has been returned by an approver for adjustments by the creator.

10 = OwnerApprovalWorkflow

Submitted for approval by the owner. The purchase order is then awaiting the owner’s approval via the owners’ portal. This is in addition to the normal approval process but is linked to the use of the owners’ portal.

11 = DisapprovedByOwner

Disapproved by the owner. This requires further review.

finalizationStateThe status of payment.
0 = Open
1 = Completed
2 = Closed
totalAmountExclTotal amount of the purchase order excluding VAT.
invoicedAmountThe amount that has been invoiced till today.
outstandingAmountThe amount that of today has not been invoiced, and is therefore still outstanding.
lineIndexThe order of this specific line in the purchase order.
expectedDateEnd date of the invoice payments of this specific line in the purchase order.
descriptionDescription of the specific line in the purchase order.
ledgerAccountCodeThe code of the ledger account of the specific line in the purchase order.
realEstateObjectReferenceThis is the reference of the realestate object of the specific line in the purchase order. This refers to the reference created by Bloxs, not to be confused with the externalIdentifier.
taxRateCodeThe code of the tax rate (including the percentage) of the specific line in the purchase order.
amountExclThe amount excluding VAT of the specific line in the purchase order.


Security
HTTP
Type Bearer

Please enter a valid token

Query parameters
reference
string

The internal identifier of the model (i.e. Reference, Code, Name, depends on model).

externalIdentifier
string

The external API identifier of the model.

Responses
200

OK

Expand All
object
reference
string
Min length0
Max length100
externalIdentifier
string
Min length0
Max length100
ownerReference
string
Min length0
Max length100
relationReference
string
Min length0
Max length100
proposalReference
string
Min length0
Max length100
proposalTotalAmountExcl
number (double) | null
subject
string | null
Min length0
Max length512
workflowState
integer (int32)
Valid values[ 1, 2, 3, 4, 7, 9, 10, 11 ]
finalizationState
integer (int32)
Valid values[ 0, 1, 2 ]
totalAmountExcl
number (double)
invoicedAmount
number (double) | null
outstandingAmount
number (double) | null
lines
Array of object (PurchaseOrderLineAPIModel) | null
object
lineIndex
integer (int32)
expectedDate
string (date)
description
string | null
Min length0
Max length512
ledgerAccountCode
string | null
Min length0
Max length12
realEstateObjectReference
string | null
Min length0
Max length100
taxRateCode
string | null
Min length0
Max length12
amountExcl
number (double)
404

The requested purchase order was not found.